
//  ANOTLINE.DCL --  Version 1.0
//
//  Copyright (C) 1993 Weaver Consulting, All Rights Reserved.

ok_help : column {
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        : spacer { width = 2; }
        help_button;
    }
}

anotline : dialog {
  label = "LINE ANNOTATION";
  : row {
    : column {
        : boxed_radio_column {
            key = "select";
            label = "Select by:";
            : radio_button {
                key = "entity";
                label = "Entity";
            }
            : radio_button {
                key = "point";
                label = "Points";
            }
            : radio_button {
                key = "group";
                label = "Group";
            }
        }
        : boxed_column {
            label = "Text/Plan Scale";
            : row {
                : text {
                    label = "Scale:";
                    fixed_width = true;
                    alignment = left;
                }
                : text {
                    key = "plnscl";
                    width = 6;
                    fixed_width = true;
                    alignment = right;
                }
            }
            : row {
                : text {
                    label = "Height:";
                    fixed_width = true;
                    alignment = left;
                }
                : text {
                    key = "txt_ht";
                    width = 6;
                    fixed_width = true;
                    alignment = right;
                }
            }
            : row {
                : text {
                    label = "Space:";
                    fixed_width = true;
                    alignment = left;
                }
                : text {
                    key   = "txt_dst";
                    width = 6;
                    fixed_width = true;
                    alignment = right;
                }
            }
        }
    }
    : column {
        : boxed_column {
            key = "leader";
            label = "Leader";
            : toggle {
                key = "angle";
                label = "Angle";
            }
            : toggle {
                key = "dist";
                label = "Distance";
            }
        }
        : boxed_radio_column {
            key = "suffix";
            label = "Suffix";
            : radio_button {
                key = "FT";
                label = "FT";
            }
            : radio_button {
                key = "F";
                label = "F";
            }
            : radio_button {
                key = "'";
                label = "'";
            }
            : radio_button {
                key = "n";
                label = "None";
            }
        }
    }
  }
  : row {
    : button {
        key = "leader_but";
        label = "Leader";
    }
    : button {
        key = "line_but";
        label = "Line";
    }
  }
  ok_help;
}





