
//  CMTSETUP.DCL --  Version 1.0

//
//  Copyright (C) 1994 Weaver Consulting, All Rights Reserved.

// Basic
cmtsetup : dialog {
   label = "DRAWING SETUP";
   : row {
        : column {
            : radio_column {
                label       = "Angular";
                key         = "angulr";
               : radio_button {
                     label  = "Azimuth";
                     key    = "azimuth";
               }
               : radio_button {
                     label  = "Bearing";
                     key    = "bearing";
               }
            }
            : spacer { height = 1;}
            : radio_column {
                label       = "Linear";
                key         = "linear";
               : radio_button {
                     label  = "Meters";
                     key    = "meters";
               }
               : radio_button {
                     label  = "Feet";
                     key    = "feet";
               }
            }
        }
        : boxed_column {
            label = "Scales & Sizes";
            : row {
                : button {
                    label        = "Plan Scale ";
                    key          = "pln_but";
                    mnemonic     = "l";
                }
                : edit_box {
                   key           = "plan_scale";
                   edit_width    = 14;
                }
            }
            : row {
                : button {
                    label        = "Text Height";
                    key          = "txt_but";
                    mnemonic     = "H";
                }
                : edit_box {
                    key          = "text_ht";
                    edit_width   = 14;
                }
            }
            : row {
                : button {
                    label        = "Text Space ";
                    key          = "spc_but";
                    mnemonic     = "T";
                }
                : edit_box {
                    key          = "txt_dst";
                    edit_width   = 14;
                }
            }
            : row {
                : button {
                    label        = "Sheet Size ";
                    key          = "sht_but";
                    mnemonic     = "S";
                }
                : text {
                    key          = "sheet";
                    width        = 14;
                    alignment    = right;
                }
            }
        }
    }
   ok_cancel_help_errtile;
}

// Sheet Size
sheet : dialog {
   label = "SHEET SIZE";
   : row {
     : edit_box {
        key = "sheet_size_x";
        label = "Length X:";
        mnemonic = "X";
        edit_width = 6;
     }
     : edit_box {
        key = "sheet_size_y";
        label = "Width Y:";
        mnemonic = "Y";
        edit_width = 6;
     }
     : toggle {
        key   = "insert";
        label = "Insert";
     }
   }
   : row {
     : column {
       : edit_box {
          key        = "top";
          label      = "Top Margin";
          edit_width = 4;
       }
       : edit_box {
          key        = "bot";
          label      = "Bottom Margin";
          edit_width = 4;
       }
     }
     : column {
       : edit_box {
          key        = "lft";
          label      = "Left Margin";
          edit_width = 4;
       }
       : edit_box {
          key        = "rht";
          label      = "Right Margin";
          edit_width = 4;
       }
     }
   }
   : popup_list {
      label = "Sheet Size ";
      key   = "sheet_size_list";
      width = 21;
   }
   : popup_list {
      label = "Title Block";
      key   = "title";
      width = 21;
   }
   ok_cancel_help_errtile;
}
// Sheet Size
scale : dialog {
   label = "PLAN SCALE";
   : row {
     : edit_box {
        key = "plan_scale_value";
        label = "Scale:";
        mnemonic = "X";
        edit_width = 6;
     }
     : popup_list {
        key   = "plan_scale_list";
        width = 21;
     }
   }
   ok_cancel_help_errtile;
}
ok_not : column {
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        cancel_button;
    }
}
txt_scale : dialog {
   label = "PLOTTED TEXT SIZE";
   : row {
     : edit_box {
        key = "text_scale_value";
        label = "Size:";
        mnemonic = "X";
        edit_width = 6;
     }
     : popup_list {
        key   = "text_scale_list";
        width = 21;
     }
   }
   ok_cancel_help_errtile;
}
// Distance to Text
txt_dist : dialog {
   label = "TEXT SPACE";
   : row {
     : edit_box {
        key = "text_scale_value";
        label = "Scale:";
        mnemonic = "X";
        edit_width = 6;
     }
     : popup_list {
        key   = "text_scale_list";
        width = 21;
     }
   }
   ok_cancel_help_errtile;
}
