
//  DRWCURVE.DCL --  Version 1.0
//
//  Copyright (C) 1993 Weaver Consulting, All Rights Reserved.

ok_help : column {
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        : spacer { width = 2; }
        help_button;
    }
}

drwcurve : dialog {
    label = "CIRCULAR CURVES";
    : row {
        : boxed_row {
            label          = "Curve Data";
            : column {
                : text {
                    label     = "Radius";
                    alignment = left;
                }
                : text {
                    label     = "Delta Angle";
                    alignment = "left";
                }
                : text {
                    label     = "Arc Length";
                    alignment = "left";
                }
                : text {
                    label     = "Tangent Length";
                    alignment = "left";
                }
                : text {
                    label     = "Chord Length";
                    alignment = "left";
                }
                : text {
                    label     = "Degree of Curve";
                    alignment = "left";
                }
            }
            : column {
                : text {
                    key       = "radius";
                    alignment = right;
                    fixed_width = true;
                    width = 12;
                }
                : text {
                    key       = "delta";
                    alignment = right;
                    fixed_width = true;
                    width = 12;
                }
                : text {
                    key       = "arc_len";
                    alignment = right;
                    fixed_width = true;
                    width = 12;
                }
                : text {
                    key       = "tangent";
                    alignment = right;
                    fixed_width = true;
                    width = 12;
                }
                : text {
                    key       = "chord_len";
                    alignment = right;
                    fixed_width = true;
                    width = 12;
                }
                : text {
                    key       = "degree_crv";
                    alignment = right;
                    fixed_width = true;
                    width = 12;
                }
            }
        }
        : boxed_column {
            label          = "Curve Type";
//            : button {
//                key        = "compound";
//                label      = "Compound";
//            }
//            : button {
//                key        = "reverse";
//                label      = "Reverse";
//            }
            : button {
                key        = "tangent1";
                label      = "One Tangent";
            }
//            : button {
//                key        = "tangent2";
//                label      = "Two Tangent";
//            }
//            : button {
//                key        = "tangent3";
//                label      = "Three Tangent";
//            }
            : button {
                key        = "list_crv";
                label      = "List Curve >>";
            }
        }
    }
    ok_help;
}
curvtang : dialog {
    label = "ENTER DD.MMSS ANGLE";
    : edit_box {
        label      = "Enter DD.MMSS Angle: ";
        key        = "angle";
        edit_width = 12;
    }
    : boxed_radio_row {
        label  = "Angle Type";
        key    = "ang_type";
        : radio_button {
            label = "Azimuth";
            key   = "azimuth";
        }
        : radio_button {
            label = "Bearing";
            key   = "bearing";
        }
    }
    : boxed_radio_row {
        label = "Quadrant";
        key  = "direction";
        : radio_button {
            label = "NE";
            key   = "1";
        }
        : radio_button {
            label = "SE";
            key   = "2";
        }
        : radio_button {
            label = "SW";
            key   = "3";
        }
        : radio_button {
            label = "NW";
            key   = "4";
        }
    }
    ok_cancel_help_errtile;
}
