
// DRWLINES.DCL
//
//  Copyright (C) 1993 Weaver Consulting, All Rights Reserved.

ok_help : column {
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        : spacer { width = 2; }
        help_button;
    }
}

drwlines : dialog {
    label = "DRAW AZIMUTH/BEARING LINES";
    : row {
        : row {
            : column {
                : spacer_1 {}
                : text {
                    label = "Angle";
                }
                : text {
                    label = "Length";
                }
                : spacer_1 {}
            }
            : column {
                : spacer_1 {}
                : text {
                    key         = "list_ang";
                    alignment   = right;
                    fixed_width = true;
                    width       = 14;
                }
                : text {
                    key         = "length";
                    alignment   = right;
                    fixed_width = true;
                    width       = 14;
                }
                : spacer_1 {}
            }
        }
        : column {
            : button {
                label = "Angle/Dist";
                key   = "ang_dst";
            }
//            : button {
//                label = "Tangent";
//                key   = "tangent";
//            }
            : button {
                label = "List Line>>";
                key   = "list";
            }
        }
    }
    ok_help;
}
get_angle : dialog {
    label = "ENTER DD.MMSS ANGLE";
    : edit_box {
        label      = "Enter DD.MMSS Angle: ";
        key        = "angle";
        edit_width = 12;
    }
    : row {
        : boxed_radio_column {
            label  = "Angle Type";
            key    = "ang_type";
            : radio_button {
                label = "Azimuth";
                key   = "azimuth";
            }
            : radio_button {
                label = "Bearing";
                key   = "bearing";
            }
        }
        : boxed_radio_column {
            label  = "Traverse Type";
            key    = "trav_type";
            : radio_button {
                label = "Sideshot";
                key   = "sideshot";
            }
            : radio_button {
                label = "Traverse";
                key   = "traverse";
            }
        }
    }
    : radio_row {
        key  = "direction";
        : radio_button {
            label = "NE";
            key   = "1";
        }
        : radio_button {
            label = "SE";
            key   = "2";
        }
        : radio_button {
            label = "SW";
            key   = "3";
        }
        : radio_button {
            label = "NW";
            key   = "4";
        }
    }
    ok_cancel_help_errtile;
}
