
//  ANOTCURV.DCL --  Version 1.0
//
//  Copyright (C) 1993 Weaver Consulting, All Rights Reserved.

ok_help : column {
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        : spacer { width = 2; }
        help_button;
    }
}

anotcurv : dialog {
  label = "CURVE ANNOTATION";
  : row {
    : column {
        : boxed_radio_column {
            key = "select";
            label = "Select by:";
            : radio_button {
                key = "entity";
                label = "Entity";
            }
            : radio_button {
                key = "point";
                label = "Points";
            }
            : radio_button {
                key = "group";
                label = "Group";
            }
        }
        : boxed_column {
            label = "Text/Plan Scale";
            : row {
                : text {
                    label = "Scale:";
                    fixed_width = true;
                    alignment = left;
                }
                : text {
                    key = "plnscl";
                    width = 6;
                    fixed_width = true;
                    alignment = right;
                }
            }
            : row {
                : text {
                    label = "Height:";
                    fixed_width = true;
                    alignment = left;
                }
                : text {
                    key = "txt_ht";
                    width = 6;
                    fixed_width = true;
                    alignment = right;
                }
            }
            : row {
                : text {
                    label = "Space:";
                    fixed_width = true;
                    alignment = left;
                }
                : text {
                    key   = "txt_dst";
                    width = 6;
                    fixed_width = true;
                    alignment = right;
                }
            }
        }
    }
    : column {
        : boxed_radio_column {
            key = "prefix";
            label = "Prefix";
            : radio_button {
                key = "l";
                label = "L =";
            }
            : radio_button {
                key = "a";
                label = "A =";
            }
        }
        : spacer_1 {}
        : boxed_column {
            key = "leader";
            label = "Leader";
            : toggle {
                key = "delta";
                label = "Delta";
            }
            : toggle {
                key = "length";
                label = "Length";
            }
            : toggle {
                key = "radius";
                label = "Radius";
            }
            : toggle {
                key = "tangent";
                label = "Tangent";
            }
        }
    }
  }
  : row {
    : button {
        key = "leader_but";
        label = "Leader";
    }
    : button {
        key = "curve_but";
        label = "Curve";
    }
  }
  ok_help;
}





