// CAD Mapping Tools Junior
// Copyright 1994 Weaver Consulting

cmt : dialog {
    label = "MAPPING TOOLS";
    : button {
        key   = "setup";
        label = "Drawing Setup";
    }
    : button {
        key   = "draw_line";
        label = "Draw Lines";
    }
    : button {
        key   = "draw_curv";
        label = "Draw Curves";
    }
    : button {
        key   = "labl_line";
        label = "Label Lines";
    }
    : button {
        key   = "labl_curv";
        label = "Label Curves";
    }
    : button {
       key   = "cmt_layers";
       label = "Layer Names";
    }
    : button {
        key    = "aboutcmt";
        label  = "About CMT";
    }
    ok_only;
}
help : dialog {
    label = "HELP!";
    : list_box {
        key = "txt";
        height = 8;
        width  = 72;
    }
    ok_only;
}
yesno : dialog {
  label  = "OPTIONS";
  : column {
    : text {
      key   = "msg";
      width = 30;
      alignment = centered;
     }
    : row {
      : spacer {
        width = 1;
      }
      : ok_button {
        label = "Yes";
        key   = "yes";
        mnemonic = "Y";
      }
      : cancel_button {
        label = "No";
        key   = "no";
        mnemomic = "N";
      }
      : spacer {
        width = 1;
      }
    }
  }
}
text_size : dialog {
    label = "TEXT SIZE";

    : text {
        key   = "text_style";
        alignment = centered;
    }
    : row {
        : spacer_0 {}
        : column {
            : row {
                : spacer_0 {}
                : button {
                    label = "Pick Text";
                    key   = "pick_text";
                }
                : spacer_0 {}
            }
            : edit_box {
                key       = "text_size";
                label     = "Enter text height";
                edit_width = 8;
            }
            : edit_box {
                key       = "text_dist";
                label     = "Enter text space";
                edit_width = 8;
            }
        }
        : spacer_0 {}
    }
    ok_cancel_help_errtile;
}
ok_help_err : column {
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        : spacer { width = 2; }
        help_button;
    }
    errtile;
}

get_delta : dialog {
    label = "DD.MMSS ANGLE";
    : edit_box {
        label      = "Enter Angle: ";
        key        = "delta";
        edit_width = 12;
    }
    ok_help_err;
}
layers : dialog {
    label = "CMT LAYERS";
    : row {
        : column {
            : button {
                key   = "labelline";
                label = "Line Labels";
            }
            : button {
                key   = "labelcurve";
                label = "Curve Labels";
            }
            : button {
                key   = "drw_line";
                label = "Lines & Curves";
            }
        }
        : column {
            : text {
                key   = "line_layer";
                width = 16;
            }
            : text {
                key   = "curve_layer";
                width = 16;
            }
            : text {
                key   = "draw_layer";
                width = 16;
            }
        }
    }
    ok_help_err;
}
layernames : dialog {
    label = "CMT LAYER NAMES";
    : text {
        key  = "layer_type";
        alignment = centered;
    }
    : list_box {
        key = "list_layers";
        height = 8;
        width  = 16;
    }
    : edit_box {
        key    = "enter_name";
        label  = "Layer Name";
        edit_width = 16;
    }
    ok_cancel_help_errtile;
}
